List batch operation items
https://api.light.inc/v1/batch-operations/{operationId}/items
Returns the result of each record of a batch operation, in the order the records were sent. Filter on status to read only the failed ones.
Permission: none, open to any signed-in user.
Authorization
Send one of these on every request. See Authentication for how to get credentials.
- API key
Basic authentication header of the form Basic <api_key>, where <api_key> is your api key.
- Bearer token
Path parameters
-
operationIdstring · uuidrequired
Query parameters
-
filterstringFilter string in the format
field:operator:value. To provide multiple filters, separate them with commas.Available operators:
eq,ne,in,not_in,gt,gte,lt,lte.- For
inandnot_inoperators, provide multiple values separated by the pipe character (|).
Available fields:
status,itemId. - For
-
limitinteger · int32Maximum number of items to return. Default is 50, maximum is 200.
-
cursorstringThe cursor position to start returning results from. To opt-in into cursor-based pagination, provide
0for the initial request. For subsequent requests, usenextCursorandprevCursorfrom the previous response to navigate. Cursor values are opaque and should not be constructed manually.
Response
-
recordsarray of objectList of records for the current page
-
companyIdstring · uuidID of the company the batch operation belongs to
-
statusstringWhether the record is pending, completed or failed
PENDING- The record is waiting to be processedCOMPLETED- The record was processedFAILED- The record failed.failureContextsays why. A record to create that has arecordIdwas created, and a later step, such as opening it, failed
⚠️ This enum is not exhaustive; new values may be added in the future.
One of
PENDINGCOMPLETEDFAILED -
failureContextobjectFailure context when vendor onboarding fails.
-
namestringThe error name
-
typestringThe error type
⚠️ This enum is not exhaustive; new values may be added in the future.
One of
BAD_REQUESTUNAUTHORIZEDFORBIDDENNOT_FOUNDCONFLICTUNPROCESSABLE_CONTENT -
errorsarray of objectList of errors providing details about what went wrong
-
typestringA string code identifying the error type
-
messagestringA human-readable message providing more details about the error
-
patharray of stringOptional path of the error when the error is for a specific field. Used mostly on BAD_REQUEST errors, that path will match the field name on the request object
-
contextobjectOptional context providing additional information about the error. This can include any relevant data that might help in understanding or resolving the error
-
-
-
idempotencyKeystringThe idempotency key a record to create was sent with. Empty for an action on a record that already exists
-
recordIdstring · uuidID of the record the item is about. A record to create has one once it is created, also when a later step, such as opening it, failed
-
createdAtstring · date-timeWhen the item was created
-
-
hasMorebooleanBoolean flag indicating if there are more records available
-
nextCursorstringCursor for fetching the next page
-
prevCursorstringCursor for fetching the previous page